@media only screen and (max-width: 400px) {
  h1{
    font-size: 28px;
    font-weight: 700;
  }

  .main-container {
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .header {
    width: 100vw;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
  }

  .logo {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    font-size: 72px;
    padding: 0;
  }

  .logo img {
    height: 100px;
    width: 250px;
  }

  .burger-container {
    display: none;
  }

  .poster-vid {
    margin: 20px 0 40px 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 40px;
  }

  video {
    height: 300px;
    width: 290px;
  }
  
  .full-movie{
    background: #fff;
    width: 290px;
    height: 50px;
    border-radius: 7px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    letter-spacing: 14px;
    color: #000;
    font-size: 18px;
    font-weight: 700;
  }

  .movie-poster img:hover {
    height: 500px;
    width: 300px;
  }

  .synopsis-container {
    display: flex;
    flex-direction: column;
    gap: 15px;
    text-align: center;
    width: 290px;
    margin-bottom: 20px;
  }

  .synopsis-container h1 {
    font-size: 28px;
    font-weight: 700;
  }

  .synopsis {
    text-align: left;
    font-size: 18px;
    font-weight: 400;
    line-height: 24px;
  }

  .crew-container,
  .cast-container {
    width: 100vw;
    margin: 20px 0 20px 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }

  #gallery-crew,
  #gallery-cast {
    width: 100vw;
    margin-top: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .row-crew,
  .row-cast {
    width: 100vw;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
    /* slide down and up animation */
    overflow: hidden;
    max-height: 1500px;
    transition: max-height 0.8s ease-in-out;
  }

  .hidden {
    max-height: 0;
  }

  .c-one,
  .c-two,
  .c-three,
  .c-four,
  .c-five {
    width: 100px;
    height: 200px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }

  .c-one img,
  .c-two img,
  .c-three img,
  .c-four img,
  .c-five img {
    --s: 100px; /* the size of the image */
    --b: 4px; /* the border thickness*/
    --g: 5px; /* the gap */
    --c: #ff0000; /* the color */

    width: var(--s);
    aspect-ratio: 1;
    border-radius: 50%;
    outline: calc(var(--s) / 2) solid #0009;
    outline-offset: calc(var(--s) / -2);
    cursor: pointer;
    transition: 0.3s;
  }

  #role {
    width: 100px;
    height: 20px;
    font-size: 14px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    text-align: center;
  }

  .settings-container {
    margin-top: 20px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .settings-row {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }

  .setting-one img,
  .setting-two img {
    margin-top: 20px;
    height: 200px;
    width: 300px;
  }

  .setting-one p,
  .setting-two p {
    width: 300px;
    font-size: 22px;
    text-align: center;
  }

  .script-container {
    width: 100vw;
    margin: 60px 0 50px 0;
    justify-content: center;
    gap: 20px;
  }

  .click {
    font-size: 26px;
  }

  .feedback {
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .feedback-form {
    width: 100vw;
    margin: 20px 0 0 0;
    padding-left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }

  .form-line-one {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;
  }

  .form-line-two {
    display: flex;
    flex-direction: row;
    align-items: baseline;
    gap: 10px;
  }

  .form-line-three {
    width: 0;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
  }

  .form-line-one label,
  .form-line-two label {
    font-family: "Jura", sans-serif;
    font-weight: 700;
    font-size: 16px;
    color: #fff;
    text-align: center;
  }

  .form-line-one input {
    height: 30px;
    width: 130px;
    font-family: "Jura", sans-serif;
    font-weight: 500;
    font-size: 14px;
    color: #000;
    border-radius: 5px;
  }

  .form-line-two textarea {
    height: 150px;
    width: 150px;
    font-family: "Jura", sans-serif;
    font-weight: 500;
    font-size: 14px;
    color: #000;
    resize: none;
    border-radius: 5px;
  }

  .form-line-three button {
    margin: 20px 0 0 0;
    padding: 5px;
    height: 40px;
    width: 70px;
    font-family: "Jura", sans-serif;
    font-weight: 700;
    font-size: 18px;
    color: #000;
    background: #fff;
    border-radius: 5px;
    box-shadow: 0 0 0 0 #000;
    transition: box-shadow 0.4s ease-in-out;
  }

  .form-line-three button:hover {
    box-shadow: 0 0 10px 5px #ffd41e;
  }

  .footer-container {
    margin-top: 50px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 40px;
    width: 100%;
    text-align: center;
  }

  .footer-container img:hover {
    border-color: #ffd41e;
    box-shadow: 0 0 30px 5px #ffd41e;
  }

  .footer-container a {
    text-decoration: none;
  }

  .footer-container p {
    color: #fff;
    font-size: 20px;
    text-align: start;
    padding: 0 50px 0 50px;
    margin-bottom: 30px;
  }
}
